[arch-commits] Commit in cjs/repos (2 files)

Antonio Rojas arojas at archlinux.org
Fri Nov 10 19:25:47 UTC 2017


    Date: Friday, November 10, 2017 @ 19:25:29
  Author: arojas
Revision: 266172

archrelease: copy trunk to community-staging-x86_64

Added:
  cjs/repos/community-staging-x86_64/
  cjs/repos/community-staging-x86_64/PKGBUILD
    (from rev 266171, cjs/trunk/PKGBUILD)

----------+
 PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

Copied: cjs/repos/community-staging-x86_64/PKGBUILD (from rev 266171, cjs/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2017-11-10 19:25:29 UTC (rev 266172)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=cjs
+pkgver=3.6.1
+pkgrel=1
+pkgdesc="Javascript Bindings for Cinnamon"
+arch=(i686 x86_64)
+url="https://github.com/linuxmint/cjs"
+license=(GPL)
+depends=(gtk3 gobject-introspection-runtime js38 dbus-glib)
+makedepends=(gnome-common python gobject-introspection)
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/linuxmint/cjs/archive/${pkgver}.tar.gz")
+options=(!emptydirs)
+sha512sums=('648997c76acb11885a53a73aa456989784fe5f5a12e0f349bce658c1eb3e3ce2b5c576ace488962c9b012fc85c2c3dd828f61f857cc9da7b60ee5fcdd7d25155')
+
+build() {
+  cd $pkgname-$pkgver
+
+  ./autogen.sh --prefix=/usr --disable-static --libexecdir=/usr/lib
+
+  #https://bugzilla.gnome.org/show_bug.cgi?id=656231
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list